Subiject: Use short version of type names

Description

In the cgl there is a doc block comment example

/**
* Initializes the plugin.

*

* Checks the configuration and substitutes defaults for missing values.
* @param array $conf Plugin configuration from TypoScript

* @return bool TRUE if initialization was successful, FALSE otherwise
* @see tx_myext_class:anotherFunc()

*/

protected function initialize(array $conf) {

/I Do something

}

In this example the long types are used (bool instead of boolean).

See #54265.

Related issues:
related to Core - Task # 54265: Use (int) instead of intval() or (integer)
blocks PHP_CodeSniffer - Feature # 38688: Create sniff for function / method ...

Resolved
Closed

2013-12-07
2012-07-05

Associated revisions

Revision 55¢7c9b1 - 2014-03-20 13:55 - Chris topher

[TASK] Use short version of type names

It was decided that the Core should use the short versions of type names
in phpDoc comment blocks (int, bool, string, array, mixed). Adjust the
CGL accordingly.

Change-Id: 1af5740425424980a6c900dd4783ae89930cc7b47
Resolves: #53113
Reviewed-on: https://review.typo3.org/28564

Reviewed-by: Chris topher
Tested-by: Chris topher

History

#1 - 2014-01-10 16:25 - Chris topher
- Subject changed from bool or boolean to Use long version of type names
https://review.typo3.org/28564

This is not only a question for "bool" vs "boolean" in comments, but also for other type names like "int" vs "integer" all throughout the code. The current
state uses both, which is inconsistent and should be cleaned up. | personally would use the long form as it is more readable. There also was a
discussion at https://notes.typo3.org/p/CGL-decisions and according to that long forms are the way to go. A first patch for this has been pushed with

#54265 and others are to come.

The CGL should then be adapted accordingly so that it only uses the long forms; consistently in comments and in code.

#2 - 2014-01-31 10:37 - Jo Hasenau

Since the decisions have been made based on the document on notes.typo3.org, this task should be renamed.
b) For doc comments, the short versions must be used as well:
*Examples:*
- @var int $mynumber

- @var bool $mycheck
- @var string $mycheck

#3 - 2014-01-31 10:39 - Stefano Kowalke
- Subject changed from Use long version of type names to Use short version of type names

#4 - 2014-03-20 13:46 - Chris topher

- Assigned To set to Chris topher

The short names are int, bool, string, array, mixed 1.

#5 - 2014-03-20 13:50 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master of project Documentation/TYPO3/Reference/CodingGuidelines has been pushed to the review server.
It is available at https://review.typo3.0rg/28564

#6 - 2014-03-20 13:52 - Gerrit Code Review

Patch set 2 for branch master of project Documentation/TYPO3/Reference/CodingGuidelines has been pushed to the review server.
It is available at https://review.typo3.0rg/28564

#7 - 2014-03-20 13:54 - Gerrit Code Review

Patch set 3 for branch master of project Documentation/TYPO3/Reference/CodingGuidelines has been pushed to the review server.
It is available at https://review.typo3.0rg/28564

#8 - 2014-03-20 14:47 - Chris topher
https://notes.typo3.org/p/CGL-decisions
http://manual.phpdoc.org/HTMLSmartyConverter/HandS/phpDocumentor/tutorial_tags.param.pkg.html
https://review.typo3.org/28564
https://review.typo3.org/28564
https://review.typo3.org/28564

- Status changed from Under Review to Resolved

- % Done changed from 0 to 100

Applied in changeset commit:55¢7c9b1215e0b3779fd1fc04c107ad3bd26e030.
